Page MenuHomePhabricator

Renew Ingenico production API key
Closed, ResolvedPublic1 Story Points

Description

Current one expires on Jan 30th - renew it before then to keep the Ingenico Connect production integration working

Event Timeline

Ejegg created this task.Jan 8 2019, 8:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2019, 8:04 PM
mepps added a subscriber: mepps.Jan 9 2019, 8:37 PM

@Ejegg what are the steps to complete this? It would be helpful to know for next year too.

Ejegg added a comment.Jan 10 2019, 1:50 AM

On the Ingenico configuration site (https://account.ingenico.com/) we need to click 'API keys' on the left menu, then 'Request API key', then deploy the new keys (in localsettings/SmashPig/ingenico/main.yaml). We can immediately revoke the old one or just let it expire.

This is done for this year. Since they're only valid for a year, we might think about generating a new on in June or something, so we don't have to think about renewal anywhere near Big English.

Ejegg closed this task as Resolved.Jan 11 2019, 7:57 PM
Ejegg claimed this task.
Ejegg triaged this task as High priority.
Ejegg set the point value for this task to 1.